This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours

Bug 916191 (CVE-2013-1774)

Summary: CVE-2013-1774 Kernel: USB io_ti driver NULL pointer dereference in routine chase_port
Product: [Other] Security Response Reporter: Prasad J Pandit <prasad>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: agordeev, anton, bhu, davej, dhoward, esammons, fhrbata, gansalmon, iboverma, itamar, jforbes, jkacur, jonathan, jshao, jwboyer, kernel-maint, kernel-mgr, lgoncalv, lwang, madhu.chinakonda, mcressma, plougher, pmatouse, rt-maint, rvrbovsk, sforsber, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20130118,reported=20130126,source=internet,cvss2=3.8/AV:L/AC:H/Au:S/C:N/I:N/A:C,rhel-5/kernel=notaffected,rhel-6/kernel=affected,mrg-2/realtime-kernel=affected,fedora-all/kernel=notaffected,cwe=CWE-476[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-06-09 15:01:30 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 916198, 916200, 916201, 916202    
Bug Blocks: 904394    

Description Prasad J Pandit 2013-02-27 09:02:44 EST
Linux kernel built with Edgeport USB serial converter driver io_ti,
is vulnerable to a NULL pointer dereference flaw. It happens if the device is
disconnected while in use.

A user able to read/write from /dev/ttyUSB? file could use this flaw to crash the system, resulting in DoS.

Upstream fix:
-------------
  -> https://git.kernel.org/linus/1ee0a224bc9aad1de496c795f96bc6ba2c394811
Comment 1 Prasad J Pandit 2013-02-27 09:12:43 EST
Statement:

This issue does not affect the versions of the kernel package as shipped with Red Hat Enterprise Linux 5.

This issue affects the version of Linux kernel as shipped with Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2. Future kernel updates for Red Hat Enterprise MRG 2 may address this issue.
Comment 6 errata-xmlrpc 2013-04-23 14:27:31 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0744 https://rhn.redhat.com/errata/RHSA-2013-0744.html
Comment 7 errata-xmlrpc 2013-05-20 12:48:13 EDT
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:0829 https://rhn.redhat.com/errata/RHSA-2013-0829.html